unit adxXLButton_IMPL;

interface

uses
  ComObj, ComServ, ActiveX, Variants, adxAddIn, adxXLButton_TLB, StdVcl,
  ImgList, Controls, Classes;

type
  TADX_XLButton = class(TadxAddin, IADX_XLButton)
  end;

  TAddInModule = class(TadxCOMAddInModule)
    adxCommandBar1: TadxCommandBar;
    ImageList: TImageList;
    procedure adxCommandBar1Controls0Click(Sender: TObject);
  private
  protected
  public
  end;

implementation

{$R *.dfm}

uses Graphics;

procedure TAddInModule.adxCommandBar1Controls0Click(Sender: TObject);
var
  Bmp: TBitmap;
  Button: TadxCommandBarButton;
begin
  Button := (Sender as TadxCommandBarControl).AsButton;
  Bmp := TBitmap.Create;
  try
    if Button.State = adxMsoButtonUp then begin
      Button.State := adxMsoButtonDown;
      ImageList.GetBitmap(1, Bmp);
      Button.Glyph := Bmp;
    end
    else begin
      Button.State := adxMsoButtonUp;
      ImageList.GetBitmap(0, Bmp);
      Button.Glyph := Bmp;
    end;
  finally
    Bmp.Free;
  end;
end;

initialization
  TadxFactory.Create(ComServer, TADX_XLButton, CLASS_ADX_XLButton, TAddInModule);

end.
